List swaps
curl --request GET \
--url https://production.hifi.com/v3/swaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifi.com/v3/swaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifi.com/v3/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "swap_7bV1aLcs3Kf9dQ2mNpXwZ",
"requestId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"status": "COMPLETED",
"error": null,
"errorDetails": null,
"amount": "100",
"source": {
"userId": "usr_3Kf9dQ2mNpXwZ7bV1aLcs",
"walletId": "wlt_3Kf9dQ2mNpXwZ7bV1aLcs",
"currency": "USDC",
"chain": "POLYGON"
},
"destination": {
"userId": "usr_7bV1aLcs3Kf9dQ2mNpXwZ",
"walletId": "wlt_7bV1aLcs3Kf9dQ2mNpXwZ",
"externalWalletId": null,
"currency": "USDT",
"chain": "POLYGON"
},
"receipt": {
"transactionHash": "0x3f8a1c9b2d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a"
},
"quote": {
"sendGross": {
"amount": "100",
"currency": "USDC"
},
"sendNet": {
"amount": "100",
"currency": "USDC"
},
"receiveGross": {
"amount": "100",
"currency": "USDT"
},
"receiveNet": {
"amount": "100",
"currency": "USDT"
},
"rate": "1.0",
"expiresAt": "2026-07-01T10:35:00.000Z"
},
"createdAt": "2026-07-01T10:30:00.000Z",
"updatedAt": "2026-07-01T10:32:00.000Z"
}
],
"pagination": {
"hasMore": false,
"startCursor": "swap_7bV1aLcs3Kf9dQ2mNpXwZ",
"endCursor": "swap_7bV1aLcs3Kf9dQ2mNpXwZ"
}
}{
"type": "VALIDATION_ERROR",
"message": "One or more fields are invalid or missing.",
"fields": [
{
"code": "invalid_value",
"message": "Must be a valid email address",
"field": "email"
}
]
}{
"type": "UNAUTHORIZED",
"message": "Authentication required"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred"
}Swaps
List swaps
List all swaps. Supports cursor-based pagination and filtering by status, source user, and destination user.
GET
/
v3
/
swaps
List swaps
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
default to 10, maximum to 100
Required range:
1 <= x <= 100Return records after this cursor.
Return records before this cursor.
Filter swaps by status.
Available options:
DRAFT, CREATED, PENDING, OPEN_QUOTE, QUOTE_FAILED, COMPLETED, FAILED Filter swaps by source user public ID (prefixed with usr_).
Filter swaps by destination user public ID (prefixed with usr_).
⌘I